//
//  Wurfdolch.cs
//
//  Author:
//       Philipp Schröck <philsch@hotmail.de>
//
//  Copyright (c) 2013 Philipp Schröck
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU Lesser General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
using System;

namespace libcharakter.ausrüstung.Waffen.Fernkampf
{
    [Serializable]
    public class Wurfdolch : WurfWaffen
    {
        public Wurfdolch(int anzahl)
            : this("Wurfdolch", anzahl)
        {
        }
        protected Wurfdolch(string name, int anzahl)
            : base(name, 20, 30, 1, 
                   new ReichweitenMod[]{ new ReichweitenMod(2,1), new ReichweitenMod(4,0), new ReichweitenMod(6,0),
                new ReichweitenMod(8,0), new ReichweitenMod(15,-1) }, anzahl)
        {
        }
    }
}

