#define test

using System;
using libcharakter;
using System.IO;
using libcharakter.ausrüstung.Waffen.Fernkampf;
using libcharakter.ausrüstung.Waffen;

namespace test
{
	class MainClass
	{
        static Charakter charakter;
        static FernkampfWaffe weapon;

		public static void Main (string[] args)
		{
			int rest = 0;
#if test
		 	 charakter = Charakter.Load("Alska");
             weapon = charakter.FindAusruestung<Waffe>("Borndorn") as FernkampfWaffe;

#else
			 charakter = new Charakter("Alska", Geschlecht.M, 8, Stand.LD,
			                                    12,13,11,8,9,12,12,13,8);

             weapon = new Borndorn(10);

			charakter.AddTalent(new libcharakter.Talente.Natur.Wildnisleben(0, charakter));
			charakter.AddTalent(new libcharakter.Talente.Koeperlich.Zechen(12, charakter));
			charakter.AddTalent(new libcharakter.Talente.Kampf.Dolche(3, charakter));
            charakter.AddTalent(new libcharakter.Talente.Kampf.Wurfmesser(12, charakter));

			charakter.FindTalent<libcharakter.Talente.Kampf.Dolche>("Dolche").ModMinusAT();
            charakter.AddAusruestung(weapon);


			charakter.Save();
#endif
            //Console.WriteLine(charakter.ToString());
			//				Talent Name     	w1 		w2  	w3 		erschwert    rest
			charakter.Probe("Wildnisleben", 	4, 		4, 		4,   	0,         	 ref rest);
			charakter.Probe("Wildnisleben", 	11,		11,		15, 	1, 			 ref rest);

			charakter.Probe("Zechen",
			                WuerfelList.GetNumber(20),
			                WuerfelList.GetNumber(20), 
			                WuerfelList.GetNumber(20),
			                WuerfelList.GetNumber(6),
			                ref rest);


            Console.WriteLine();
           
            Shoot(2);
            Shoot(9);
            Shoot(15);
		}
        private static void Shoot(int entf)
        {
            bool erg = false;

            Console.WriteLine();
            Console.WriteLine(weapon.ToString());
            Console.WriteLine("[Shoot] Entfernung: {3} W20: 1 Erg: {0} Schaden (1W6: 1): {1} RS: {2} ", 
                              (erg = weapon.Shoot(0, 1, entf, charakter) == FernkampfShotErg.Good), 
                              erg ? weapon.Schaden(1, charakter) : 0, charakter.RuestungsSchutz, entf);
        }
	}
}
